#
#       Makefile for umpack
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBFSRCS	= umpmap.f umqfnm.f umpglb.f umpgrd.f umplim.f uminit.f \
		  umscnt.f umscwd.f umspnt.f umpfit.f umiget.f umiqnp.f \
		  umlget.f umlqnp.f umrget.f umrqnp.f umpget.f umpqnp.f \
		  umspct.f umspcw.f umspwd.f umsppt.f umspdf.f umbndc.f \
		  umbndp.f umbndr.f umqtxy.f umstvz.f umsgrd.f umscom.f \
		  umfmap.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= umpmap.o umqfnm.o umpglb.o umpgrd.o umplim.o uminit.o \
		  umscnt.o umscwd.o umspnt.o umpfit.o umiget.o umiqnp.o \
		  umlget.o umlqnp.o umrget.o umrqnp.o umpget.o umpqnp.o \
		  umspct.o umspcw.o umspwd.o umsppt.o umspdf.o umbndc.o \
		  umbndp.o umbndr.o umqtxy.o umstvz.o umsgrd.o umscom.o \
		  umfmap.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
